Next: COMPILER_OPTIONS, Previous: CO_SUM, Up: Intrinsic Procedures [Contents][Index]

### 9.68 `COMMAND_ARGUMENT_COUNT` — Get number of command line arguments

Description:

  `COMMAND_ARGUMENT_COUNT` returns the number of arguments passed on the command line when the containing program was invoked.

Standard:

  Fortran 2003 and later

Class:

  Inquiry function

Syntax:

  `RESULT = COMMAND_ARGUMENT_COUNT()`

Arguments:

  None

Return value:

  The return value is an `INTEGER` of default kind.

Example:

      program test_command_argument_count
          integer :: count
          count = command_argument_count()
          print *, count
      end program test_command_argument_count

See also:

  GET_COMMAND, GET_COMMAND_ARGUMENT